Skip to main content
GET
/
openai
/
v1
/
batches
/
{batch_id}
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "object": "<string>",
  "endpoint": "<string>",
  "input_file_id": "<string>",
  "completion_window": "<string>",
  "request_counts": {
    "total": 123,
    "completed": 123,
    "failed": 123,
    "succeeded": 123,
    "expired": 123,
    "canceled": 123,
    "pending": 123
  },
  "metadata": {},
  "created_at": 123,
  "expires_at": 123,
  "in_progress_at": 123,
  "finalizing_at": 123,
  "completed_at": 123,
  "failed_at": 123,
  "expired_at": 123,
  "cancelling_at": 123,
  "cancelled_at": 123,
  "output_file_id": "<string>",
  "error_file_id": "<string>",
  "errors": {
    "object": "<string>",
    "data": [
      {
        "code": "<string>",
        "message": "<string>",
        "param": "<string>",
        "line": 123
      }
    ]
  },
  "processing_status": "<string>",
  "results_url": "<string>",
  "archived_at": 123,
  "operation_name": "<string>",
  "done": true,
  "progress": 123,
  "extra_fields": {
    "request_type": "<string>",
    "model_requested": "<string>",
    "model_deployment": "<string>",
    "latency": 123,
    "chunk_index": 123,
    "raw_request": {},
    "raw_response": {},
    "cache_debug": {
      "cache_hit": true,
      "cache_id": "<string>",
      "hit_type": "<string>",
      "requested_provider": "<string>",
      "requested_model": "<string>",
      "provider_used": "<string>",
      "model_used": "<string>",
      "input_tokens": 123,
      "threshold": 123,
      "similarity": 123
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getbifrost.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your provider API key or Bifrost authentication token. Virtual keys (prefixed with sk-bf-) can also be passed here.

Path Parameters

batch_id
string
required

Batch job ID

Query Parameters

provider
string

Provider for the batch

Response

Successful response

id
string
object
string
endpoint
string
input_file_id
string
completion_window
string
status
enum<string>
Available options:
validating,
failed,
in_progress,
finalizing,
completed,
expired,
cancelling,
canceled,
ended
request_counts
object
metadata
object
created_at
integer<int64>
expires_at
integer<int64>
in_progress_at
integer<int64>
finalizing_at
integer<int64>
completed_at
integer<int64>
failed_at
integer<int64>
expired_at
integer<int64>
cancelling_at
integer<int64>
cancelled_at
integer<int64>
output_file_id
string
error_file_id
string
errors
object
processing_status
string
results_url
string
archived_at
integer<int64>
operation_name
string
done
boolean
progress
integer
extra_fields
object

Additional fields included in responses